import request from '@/utils/request'

// 座位列表
export const querySeatList = (query) => {
  return request({
    url: '/merchant/merchantAuditoriumSeat/querySeatList',
    method: 'get',
    params: query
  })
}

// 根据厅ID和日期查询场次
export const merchantPerformTimeList = (query) => {
    return request({
      url: '/merchant/merchantPerformTime/list',
      method: 'get',
      params: query
    })
  }

  // 订单提交
export const orderInfoSubmit = (query) => {
    return request({
      url: '/order/orderInfo/submit',
      method: 'post',
      data: query
    })
  }


  // 订单支付码支付
export const gotoMicroPay = (query) => {
    return request({
      url: '/order/orderInfo/gotoMicroPay',
      method: 'post',
      data: query
    })
  }

  // 订单现金支付
  export const gotoCashPay = (query) => {
    return request({
      url: '/order/orderInfo/gotoCashPay',
      method: 'post',
      data: query
    })
  }
  // 支付查询

  export const payQuery = (query) => {
    return request({
      url: '/order/orderInfo/payQuery',
      method: 'post',
      data: query
    })
  }

//  获取 演出厅

export const merchantTheatreAuditoriumList = (query) => {
  return request({
    url: '/merchant/merchantTheatreAuditorium/list',
    method: 'get',
    params: query
  })
}

//  座位锁定/解锁

export const lockOrUnLock = (query) => {
  return request({
    url: '/merchant/merchantSeatOccupy/lockOrUnLock',
    method: 'post',
    data: query
  })
}

//  价格查询

export const selectRegion = (query) => {
  return request({
    url: '/merchant/merchantTheatreAuditorium/selectRegion',
    method: 'post',
    data: query
  })
}


// 票务查询

export const goodsPageList = (query) => {
  return request({
    url: '/goods/goods/list',
    method: 'get',
    params: query
  })
}

// 取消订单


export const orderInfoCancel = (query) => {
  return request({
    url: '/order/orderInfo/cancel',
    method: 'post',
    data: query
  })
}

// 身份证校验


export const factorAuth = (query) => {
  return request({
    url: '/thirdapi/identity/factorAuth',
    method: 'post',
    data: query
  })
}